<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="addressType" value="${param.type}" />
<c:if test="${empty addressType}">
	<c:set var="addressType" value="delivery" />
</c:if>
<c:choose>
	<c:when test="${!empty addressBook}">
		<c:set var="addressesTableID" value="addressesTable"/>
		<c:if test="${addressType eq 'billing' }">
			<c:set var="addressesTableID" value="addressesBillingTable"/>
		</c:if>
		<c:set var="firstAddressDisplayed" value="${false}"/>
		<div id="${addressesTableID}">
			<c:forEach var="address" items="${addressBook}">
				<c:if test="${ (addressType eq 'delivery' and !address.isBilling) or (addressType eq 'billing' and address.isBilling) }">
					<c:if test="${firstAddressDisplayed}"><hr></c:if>
					<c:set var="firstAddressDisplayed" value="${true}"/>
					<div id="addressBookAddress-${address.customerAddressID}" class="address row">
						<div class="addressBookChoose col-xs-2 col-sm-4">
							<c:if test="${param.page eq 'checkout'}">
								<c:choose>
									<c:when test="${address.isBilling}">
										<input type="radio" <c:if test="${address.isDefault}">checked="checked"</c:if> name="customerBillingAddressID" id="customerBillingAddressID-${address.customerAddressID}" class="addressBookBillingOption" value="${address.customerAddressID}" />
									</c:when>
									<c:otherwise>
										<input type="radio" <c:if test="${address.isDefault}">checked="checked"</c:if> name="customerAddressID" id="customerAddressID-${address.customerAddressID}" class="addressBookDeliveryOption" value="${address.customerAddressID}" />
									</c:otherwise>
								</c:choose>
							</c:if>
						</div>
						<div class="addressBookActionsAndAddress col-xs-10 col-sm-8">
							<div class="addressBookAddress col-xs-7">
								<logic:match name="settings" property="value(deliveryPrompt)" value="firstName">
									${fn:escapeXml(address.firstName)}
									<c:if test="${!empty address.firstName}">&nbsp;</c:if>
								</logic:match>
								<logic:match name="settings" property="value(deliveryPrompt)" value="lastName">
									${fn:escapeXml(address.lastName)}
									<c:if test="${!empty address.lastName}"><br/></c:if>
								</logic:match>
								<logic:match name="settings" property="value(deliveryPrompt)" value="organization">
									${fn:escapeXml(address.organization)}
									<c:if test="${!empty address.organization}"><br/></c:if>
								</logic:match>
								<c:if test="${!empty address.creditCardNumberDisplay}">
									<br/><span class="addressBoookPaymentMethod">${fn:escapeXml(address.creditCardNumberDisplay)}&nbsp;${fn:escapeXml(address.creditCardDate)}</span>
								</c:if>
								<logic:match name="settings" property="value(deliveryPrompt)" value="address1">
									${fn:escapeXml(address.address1)}<c:if test="${!empty address.address1 and !empty address.address2}">,&nbsp;</c:if><c:if test="${!empty address.address1 and empty address.address2}"><br></c:if>
								</logic:match>
								<logic:match name="settings" property="value(deliveryPrompt)" value="address2">
									${fn:escapeXml(address.address2)}<c:if test="${!empty address.address2}"><br></c:if>
								</logic:match>
								<logic:match name="settings" property="value(deliveryPrompt)" value="city">
									${fn:escapeXml(address.city)}<c:if test="${!empty address.city}">, &nbsp;</c:if>
								</logic:match>
								<logic:match name="settings" property="value(deliveryPrompt)" value="state">
									${fn:escapeXml(address.state)}
									<c:if test="${!empty address.state}">&nbsp;</c:if>
								</logic:match>
								<logic:match name="settings" property="value(deliveryPrompt)" value="postalCode">
									${fn:escapeXml(address.postalCode)}
									<c:if test="${!empty address.postalCode}"><br></c:if>
								</logic:match>
								<logic:match name="settings" property="value(deliveryPrompt)" value="country">
									${fn:escapeXml(address.country)}
								</logic:match>
							</div>
							<div class="addressBookActions col-xs-5" id="addressBookActions-${address.customerAddressID}">
								<a href="#" class="editAddressBookAddress btn btn-default" id="editAddressBookAddress-${address.customerAddressID}"><bean:message key="addressBook.editLink" bundle="/customer"/></a>
								<br/>
								<a href="#" class="deleteAddressBookAddress ${fn:escapeXml(addressType)} btn btn-link" id="deleteAddressBookAddress-${address.customerAddressID}"><bean:message key="addressBook.deleteButton" bundle="/customer"/></a>
							</div>
						</div>
					</div>
				</c:if>
			</c:forEach>
		</div>
	</c:when>
	<c:otherwise>
		<bean:message key="addressBook.noAddresses" bundle="/customer"/>
	</c:otherwise>
</c:choose>
<!-- End ${pageScope.sscCurrentPage} -->
