<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="page-header">
	<h1><bean:message key="page.contact"/></h1>
</div>
<p><bean:message key="contact.message"/></p>
<c:if test="${!empty settings.map.storeAddress1}">
	<address class="storeAddress">
		<strong><c:out value="${settings.map.storeName}"/></strong><br>
		<c:out value="${settings.map.storeAddress1}"/><br>
		<c:if test="${!empty settings.map.storeAddress2}"><c:out value="${settings.map.storeAddress2}"/><br></c:if>
		<c:out value="${settings.map.storeCity}"/>, <c:out value="${settings.map.storeStateOrProvince} "/> <c:out value="${settings.map.storePostalCode}"/>
	</address>
</c:if>
<c:if test="${!empty settings.map.storeEmailAddress}">
	<address class="storeAddress">
		<a href="mailto:${settings.map.storeEmailAddress}"><c:out value="${settings.map.storeEmailAddress}"/></a><br>
	</address>
</c:if>
<c:if test="${!empty settings.map.storePhone}">
	<address class="storeAddress">
		<a href="tel:${settings.map.storePhone}"><c:out value="${settings.map.storePhone}"/></a><br>
	</address>
</c:if>

<c:if test="${settings.map.displayContactForm eq '1'}">
	<div id="contactForm">
		<form class="basicForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/ContactAction.do")%>" method="post">
		
			<input type="hidden" name="formType" value="contactForm"/>
			
			<c:forTokens var="field" items="${settings.map.contactFormPromptedFields}" delims=",">
			
				<c:set var="field" value="${fn:trim(field)}"/>
				<c:set var="value" value=""/>
				<c:choose>
					<c:when test="${requestScope.formSubmittedSuccessfully eq 'true'}"></c:when>
					<c:when test="${!empty param[field]}"><c:set var="value" value="${param[field]}"/></c:when>
					<c:when test="${field eq 'First Name' and !empty user.customer and !empty user.customer.firstName}"><c:set var="value" value="${user.customer.firstName}"/></c:when>
					<c:when test="${field eq 'First Name' and !empty user.order and !empty user.order.firstName}"><c:set var="value" value="${user.order.firstName}"/></c:when>
					<c:when test="${field eq 'Last Name' and !empty user.customer and !empty user.customer.lastName}"><c:set var="value" value="${user.customer.lastName}"/></c:when>
					<c:when test="${field eq 'Last Name' and !empty user.order and !empty user.order.lastName}"><c:set var="value" value="${user.order.lastName}"/></c:when>
					<c:when test="${field eq 'Organization' and !empty user.customer and !empty user.customer.organization}"><c:set var="value" value="${user.customer.organization}"/></c:when>
					<c:when test="${field eq 'Organization' and !empty user.order and !empty user.order.organization}"><c:set var="value" value="${user.order.organization}"/></c:when>
					<c:when test="${field eq 'Phone' and !empty user.customer and !empty user.customer.phone1}"><c:set var="value" value="${user.customer.phone1}"/></c:when>
					<c:when test="${field eq 'Phone' and !empty user.order and !empty user.order.phone1}"><c:set var="value" value="${user.order.phone1}"/></c:when>
					<c:when test="${field eq 'Email' and !empty user.customer and !empty user.customer.email1}"><c:set var="value" value="${user.customer.email1}"/></c:when>
					<c:when test="${field eq 'Email' and !empty user.order and !empty user.order.email1}"><c:set var="value" value="${user.order.email1}"/></c:when>
				</c:choose>
				
				<c:if var="required" test="${false}"/>
				<c:forTokens var="requiredField" items="${settings.map.contactFormRequiredFields}" delims=",">
					<c:set var="requiredField" value="${fn:trim(requiredField)}"/>
					<c:if var="required" test="${required or field eq requiredField}"/>
				</c:forTokens>	
				
				<c:choose>
					<c:when test="${field eq 'Message'}">
						<label for="${field}"<c:if test="${required}"> class="requiredLabel"</c:if>>${field}:</label>
						<textarea cols="40" rows="8" name="${field}" id="${field}">${value}</textarea><br/>
					</c:when>
					<c:otherwise>
						<label for="${field}"<c:if test="${required}"> class="requiredLabel"</c:if>>${field}:</label>
						<input type="text" name="${field}" id="${field}" value="${value}"/><br/>
					</c:otherwise>
				</c:choose>
			
			</c:forTokens>
	
			<%--Emailer add subscriber opt-in prompt--%>
			<%
				java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
				String emailerProcessorImplementer = appComponents.getProperty("emailerProcessorImplementer");
				pageContext.setAttribute("emailerProcessorImplementer", emailerProcessorImplementer);
			%>
			<c:if test="${(settings.map.emailerContactForm eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor'))
				 or (settings.map.constantContactContactForm eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor'))
				 or (settings.map.mailChimpContactForm eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor'))}">
				<c:set var="field" value="emailerOptInApproval"/>
				<c:set var="value" value="Yes"/>
				<c:if test="${!empty param[field]}"><c:set var="value" value="${param[field]}"/></c:if>
				<div class="prompt">
					<c:choose>
						<c:when test="${settings.map.emailerContactForm eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor')}">
							${settings.map.emailerContactFormOptInPrompt}:
						</c:when>
						<c:when test="${settings.map.constantContactContactForm eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor')}">
							${settings.map.constantContactContactFormOptInPrompt}:
						</c:when>
                        <c:when test="${settings.map.mailChimpContactForm eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor')}">
                            ${settings.map.mailChimpContactFormOptInPrompt}:
                        </c:when>
					</c:choose>
				</div>
				<input type="radio" name="${field}" id="${field}Yes" value="Yes" <c:if test="${value eq 'Yes'}">checked="checked"</c:if>>
				<label for="${field}Yes"><bean:message key="general.yesLabel"/></label>
				<input type="radio" name="${field}" id="${field}No" value="No" <c:if test="${value eq 'No'}">checked="checked"</c:if>/>
				<label for="${field}No"><bean:message key="general.noLabel"/></label><br/>
			</c:if>
	
			<%--Emailer add subscriber to multiple lists prompt (implies opting in)--%>
			<c:if test="${settings.map.emailerContactForm eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor') 
				and !empty settings.map.emailerContactFormMultipleListOptions}">
				<c:set var="field" value="emailerMultipleListOptInApproval"/>
				<% 
					java.util.Collection valueCollection = new java.util.ArrayList();
					if (request.getParameterValues((String) pageContext.getAttribute("field")) != null) {
						valueCollection = java.util.Arrays.asList(request.getParameterValues((String) pageContext.getAttribute("field")));
					}
					pageContext.setAttribute("valueCollection", valueCollection);
				%>
				<c:if test="${!empty settings.map.emailerContactFormMultipleListPrompt}">
					<div class="prompt">
						${settings.map.emailerContactFormMultipleListPrompt}:
					</div>
				</c:if>
				<c:forTokens var="list" varStatus="current" items="${settings.map.emailerContactFormMultipleListOptions}" delims="|">
					<c:if test="${!current.first}"><br/></c:if>
					<c:set var="list" value="${fn:trim(list)}"/>
					<input name="${field}" value="${list}" id="${list}" type="checkbox"
					<c:if test="${fn:contains(valueCollection, list)}">checked="checked"</c:if> /><label for="${list}">${list}</label>
				</c:forTokens>	
				<br/><br/>
			</c:if>

			<%--Captcha Verification--%>
			<c:choose>
				<c:when test="${settings.map.useImageVerificationWithContactForms eq '1' and settings.map.useLegacyCaptchaMethod eq '1'}">
					<br />
					<label for="textFromImage" class="requiredLabel">
						<bean:message key="security.textFromImage" />:
					</label>
					<input type="text" id="textFromImage" name="textFromImage" class="textbox"/><br />
					<img class="challengeImage img-responsive" alt="Challenge Image" src="${customerURL}/Jcaptcha.do"/><br />
					<bean:message key="security.textFromImageInstructions" /><br /><br />
				</c:when>
				<c:when test="${settings.map.useImageVerificationWithContactForms eq '1'}">
					<script src="https://www.google.com/recaptcha/api.js" async defer></script>
					<div class="g-recaptcha" data-sitekey="${settings.map.recaptchaSiteKey}"></div>
				</c:when>
			</c:choose>
			
			<span id="contactButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="general.submit"/>"/></span>
		</form>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
