<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${empty order}">
	<c:set var="order" value="${user.order}"/>
</c:if>
<div class="orderDetailsContainer">

	<%--General order information--%>
	<c:if test="${!reviewingOrder}">
		<div class="row">
			<div class="col-xs-12">
				<div id="orderInformation" class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><bean:message key="order.orderLabel" bundle="/order" /></h3>
					</div>
					<div class="panel-body">
						<div class="col-xs-12 col-sm-6">
							<c:if test="${!empty order.orderNumber}">
								<strong><bean:message key="order.orderNumber" bundle="/order" />:</strong> ${order.orderNumber}
								<br>
							</c:if>
							<c:if test="${!empty order.completed}">
								<fmt:parseDate value="${order.completed}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US" />
								<strong><bean:message key="order.completedDate" bundle="/order" />:</strong> <fmt:formatDate value="${parsed}" type="both" />
								<br>
							</c:if>
							<c:if test="${!empty order.trackingNumber}">
								<strong><bean:message key="order.trackingNumber" bundle="/order" />:</strong> ${order.trackingNumber}
								<br>
							</c:if>
							<c:if test="${!empty order.status}">
								<strong><bean:message key="order.status" bundle="/order" />:</strong> ${order.status}
								<br>
							</c:if>
							<c:if test="${!empty order.statusDetails}">
								<strong><bean:message key="order.statusDetails" bundle="/order" />:</strong> ${order.statusDetails}
							</c:if>
						</div>
						<div class="col-xs-12 col-sm-6">
							<c:if test="${!empty settings.map.storeName}">
								<strong id="storeName"><c:out value="${settings.map.storeName}"/></strong>
								<br>
							</c:if>
							<c:if test="${!empty settings.map.storeAddress1}">
								<c:out value="${settings.map.storeAddress1}"/>
								<br>
							</c:if>
							<c:if test="${!empty settings.map.storeAddress2}">
								<c:out value="${settings.map.storeAddress2}"/>
								<br>
							</c:if>
							<c:out value="${settings.map.storeCity}"/>
							<c:if test="${!empty settings.map.storeStateOrProvince}">, <c:out value="${settings.map.storeStateOrProvince} "/>
							</c:if>
							<c:out value="${settings.map.storePostalCode} "/>
							<c:out value="${settings.map.storeCountry}"/>
							<br>
							<c:if test="${!empty settings.map.storeEmailAddress}">
								<c:out value="${settings.map.storeEmailAddress}"/>
								<br>
							</c:if>
							<c:if test="${!empty settings.map.storePhone}">
								<c:out value="${settings.map.storePhone}"/>
								<br>
							</c:if>
						</div>
					</div>
				</div>
			</div>
		</div>
	</c:if>

	<%--Contact information--%>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div id="billingInformation" class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><bean:message key="order.billingInformation" bundle="/order" /></h3>
				</div>
				<div class="panel-body">
					${fn:escapeXml(order.billingFirstName)}&nbsp;${fn:escapeXml(order.billingLastName)}
					<br>
					<c:if test="${!empty order.billingOrganization}">
						${fn:escapeXml(order.billingOrganization)}
						<br>
					</c:if>
					<c:if test="${!empty order.billingAddress1}">
						${fn:escapeXml(order.billingAddress1)}
						<br>
					</c:if>
					<c:if test="${!empty order.billingAddress2}">
						${fn:escapeXml(order.billingAddress2)}
						<br>
					</c:if>
					${fn:escapeXml(order.billingCity)}
					<c:if test="${!empty order.billingState and order.billingState ne 'Other'}">,
						${fn:escapeXml(order.billingState)}&nbsp;
					</c:if>
					${fn:escapeXml(order.billingPostalCode)}
					<br>
					<c:if test="${!empty order.billingCountry}">
						${statesAndCountries.countryMap[order.billingCountry].name}
						<br>
					</c:if>
					<c:if test="${!empty order.billingPhone1}">
						${fn:escapeXml(order.billingPhone1)}
						<br>
					</c:if>
					<c:if test="${!empty order.billingEmail1}">
						${fn:escapeXml(order.billingEmail1)}
						<br>
					</c:if>
				</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<div id="deliveryInformation" class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><bean:message key="order.deliveryInformation" bundle="/order" /></h3>
				</div>
				<div class="panel-body">
					<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
						${fn:escapeXml(delivery.deliveryFirstName)}&nbsp;${fn:escapeXml(delivery.deliveryLastName)}
						<br>
						<c:if test="${!empty delivery.deliveryOrganization}">
							${fn:escapeXml(delivery.deliveryOrganization)}
							<br>
						</c:if>
						<c:if test="${!empty delivery.deliveryAddress1}">
							${fn:escapeXml(delivery.deliveryAddress1)}
							<br>
						</c:if>
						<c:if test="${!empty delivery.deliveryAddress2}">
							${fn:escapeXml(delivery.deliveryAddress2)}
							<br>
						</c:if>
						${fn:escapeXml(delivery.deliveryCity)}
						<c:if test="${!empty delivery.deliveryState and delivery.deliveryState ne 'Other'}">,
							${delivery.deliveryState}&nbsp;
						</c:if>
						${fn:escapeXml(delivery.deliveryPostalCode)}
						<br>
						<c:if test="${!empty delivery.deliveryCountry}">
							${statesAndCountries.countryMap[delivery.deliveryCountry].name}
							<br>
						</c:if>
						<c:if test="${!empty delivery.deliveryPhone1}">
							${fn:escapeXml(delivery.deliveryPhone1)}
							<br>
						</c:if>
						<c:if test="${!empty delivery.deliveryEmail1}">
							${fn:escapeXml(delivery.deliveryEmail1)}
							<br>
						</c:if>
					</logic:iterate>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
	
		<%--Shipping method - allow for legacy location in delivery.statusDetails --%>
		<c:set var="shippingMethod" value=""/>
		<c:choose>
			<c:when test="${!empty order.shippingMethod}">
				<c:set var="shippingMethod" value="${order.shippingMethod}"/>
			</c:when>
			<c:otherwise>
				<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
					<c:if test="${!empty delivery.statusDetails}">
						<c:set var="shippingMethod" value="${delivery.statusDetails}"/>
					</c:if>
				</logic:iterate>
			</c:otherwise>
		</c:choose>
		<c:if test="${!empty shippingMethod}">
			<div class="col-xs-12 col-sm-6">
				<div id="shippingInformation" class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><bean:message key="order.shippingMethod" bundle="/order" /></h3>
					</div>
					<div class="panel-body">
						${shippingMethod}
					</div>
				</div>
			</div>
		</c:if>

		<%--Payment information--%>
		<c:if test="${!reviewingOrder and adminTemplate ne 'packList' and !empty order.payments and !order.payments['empty']}">
			<div class="col-xs-12 col-sm-6">
				<div id="paymentInformation" class="panel panel-default" style="margin-bottom: 20px;">
					<div class="panel-heading">
						<h3 class="panel-title"><bean:message key="order.paymentLabel" bundle="/order" /></h3>
					</div>
					<div class="panel-body">
						<logic:iterate name="order" property="payments" id="payment" indexId="i">
							<c:if test="${!empty payment.status}">
								${payment.status}
								<br>
							</c:if>
							<c:if test="${!empty payment.creditCardName}">
								${fn:escapeXml(payment.creditCardName)}<br>
							</c:if>
							<c:if test="${!empty payment.creditCardNumberDisplay}">
								<c:if test="${!empty payment.creditCardType}">${payment.creditCardType} - </c:if>${payment.creditCardNumberDisplay}<br>
							</c:if>
							<c:if test="${empty payment.creditCardNumberDisplay}">
								<c:if test="${!empty payment.value4}">
									${payment.value4}<br>
								</c:if>
							</c:if>
						</logic:iterate>
					</div>
				</div>
			</div>
		</c:if>

		<%--Credit card information on the checkout confirm screen--%>
		<c:if test="${reviewingOrder and !empty sessionScope.validatedPaymentForm}">
			<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.BasicPaymentForm) { %>
			<div class="col-xs-12 col-sm-6">
				<div id="paymentInformation" class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><bean:message key="order.paymentLabel" bundle="/order" /></h3>
					</div>
					<div class="panel-body">
						<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.BasicPaymentForm) { %>
			                <c:if test="${!empty validatedPaymentForm.creditCardName}">
			                    ${validatedPaymentForm.creditCardName}
								<br/>
			                </c:if>
			                <c:if test="${!empty validatedPaymentForm.decryptedNumber}">
			                	<c:set var="ccNumber" value="${validatedPaymentForm.decryptedNumber}"/>
			                    <c:if test="${!empty validatedPaymentForm.creditCardType}">${validatedPaymentForm.creditCardType} &#8212; </c:if>XXXXXXXXXXXX<%= ((String) pageContext.getAttribute("ccNumber")).substring(((String) pageContext.getAttribute("ccNumber")).length() - 4) %>
								<br/>
			                </c:if>
					  	<% } %>
					</div>
				</div>
			</div>
			<% } %>
		</c:if>
	</div>

	<%--Order items--%>
	<div class="row">
		<div class="col-xs-12">
			<table id="orderItems" class="table table-bordered table-striped table-condensed" style="margin-bottom: 20px;">
				<tr>
					<th><bean:message key="orderItem.name" bundle="/order" /></th>
					<th><bean:message key="orderItem.quantity" bundle="/order" /></th>
					<c:if test="${adminTemplate ne 'packList'}"><th class="total"><bean:message key="orderItem.total" bundle="/order" /></th></c:if>
				</tr>
				<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
					<logic:iterate name="delivery" property="orderItemCollection" id="item" indexId="j">
						<c:choose>
							<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty item.seoCode}">
								<c:set var="productLinkCode" value="${item.seoCode}"/>
							</c:when>
							<c:otherwise>
								<c:set var="productLinkCode" value="${item.code}"/>
							</c:otherwise>
						</c:choose>
						<tr id="orderItem-${item.orderID}" class="orderItem">
							<td class="name">
								<ssc:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
									<c:out value="${item.name}" escapeXml="false" />
								</ssc:link>
								<c:if test="${adminTemplate ne 'packList' and !empty item.unitPrice and item.unitPrice gt 0}">
									&mdash;
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
										${item.unitPrice}
									</fmt:formatNumber>
								</c:if>
								<c:if test="${!empty item.orderItemAttributes}">
									<logic:iterate name="item" property="orderItemAttributes" id="attribute">
										<br>
										${attribute.attributeName}:
										<c:choose>
											<c:when test="${!empty attribute.optionName and attribute.optionCode eq attribute.attributeValue}">
												<c:out value="${attribute.optionName}" escapeXml="false"/>
											</c:when>
											<c:otherwise>
												${fn:escapeXml(attribute.attributeValue)}
											</c:otherwise>
										</c:choose>
										<c:if test="${adminTemplate ne 'packList' and !empty attribute.total and attribute.total gt 0}">
											&mdash;
											<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
												${attribute.total}
											</fmt:formatNumber>
										</c:if>
									</logic:iterate>
								</c:if>
							</td>
							<td class="quantity">${item.quantity}</td>
							<c:if test="${adminTemplate ne 'packList'}"><td class="total"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total}" /></td></c:if>
						</tr>
					</logic:iterate>
				</logic:iterate>
			</table>
		</div>
	</div>
	
	<%--Discounts--%>
	<div class="row">
		<div class="col-xs-12">
			<c:if var="displayDiscounts" test="false"/>
			<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
				<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
					<c:if test="${!displayDiscounts and orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
						<c:if var="displayDiscounts" test="true"/>
					</c:if>
				</logic:iterate>
			</c:if>
			<c:if test="${adminTemplate ne 'packList' and displayDiscounts}">
				<table id="orderDiscounts" class="table table-bordered table-striped table-condensed" style="margin-bottom: 20px;">
					<tr>
						 <th colspan="2"><bean:message key="order.discountsLabel" bundle="/order" /></th>
					</tr>
					<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
						<c:if test="${orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
							<tr id="orderDiscount-${orderDiscount.orderDiscountID}" class="orderDiscount">
								<td class="code">
									${orderDiscount.name}
									<c:if test="${!empty orderDiscount.couponCode}">
										(${orderDiscount.couponCode})
									</c:if>
								</td>
								<td class="total">(<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.total}" />)</td>
							</tr>
						</c:if>
					</logic:iterate>
				</table>
			</c:if>
		</div>
	</div>
		

	<%--Order totals--%>
	<c:if test="${adminTemplate ne 'packList'}">
		<div class="row">
			<div class="col-xs-12">
				<table id="orderTotals" class="table table-bordered table-striped table-condensed" style="margin-bottom: 20px;">
					<tr>
						 <th colspan="2"><bean:message key="order.orderTotals" bundle="/order" /></th>
					</tr>
					<tr>
						<td class="orderTotalLabel"><bean:message key="order.subtotal" bundle="/order" />:</td>
						<td class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.subtotal}"/></td>
					</tr>
					<tr>
						<td class="orderTotalLabel"><bean:message key="order.shipping" bundle="/order" />:</td>
						<td class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.shipping}"/></td>
					</tr>
					<tr>
						<td class="orderTotalLabel"><bean:message key="order.tax" bundle="/order" />:</td>
						<td class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.tax}"/></td>
					</tr>
					<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
						<logic:iterate name="order" property="orderDiscounts" id="orderDiscount">
							<c:if test="${orderDiscount.itemsAppliesType eq '[giftCertificate]'}">
								<tr>
									<td class="orderTotalLabelHighlighted">
										${orderDiscount.name}
										<c:set var="balance"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.reward - orderDiscount.total}"/></c:set>
										<bean-el:message key="order.giftCertificateBalance" bundle="/order" arg0="${balance}"/>:
									</td>
									<td class="orderTotalAmountHighlighted"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.total * -1}"/></td>
								</tr>
							</c:if>
						</logic:iterate>
					</c:if>
					<tr>
						<td id="totalLabel" class="orderTotalLabel"><bean:message key="order.total" bundle="/order" />:</td>
						<td id="totalAmount" class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.total}"/></td>
					</tr>
				</table>
			</div>
		</div>
	</c:if>

</div>
<!-- End ${pageScope.sscCurrentPage} -->
