package com.softslate.commerce.administrator.administrator;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.administrator.Role;

/**
 * Struts form class corresponding to requests to "/administrator/Role.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscRole</code> table.
 * 
 * @author David Tobey
 * 
 */
public class RoleForm extends BaseSerializableForm {
    private static final long serialVersionUID = 3688786977235546161L;

    static Log log = LogFactory.getLog(RoleForm.class);

    private String idField = "roleID";

    private String nameField = "name";

    private String childName = "Administrators";

    private boolean m2mChild = true;

    private String parentIDField = "administratorID";

    private String entityProperty = "role";

    private Class entity = Role.class;

    private String[] fields = { "code", "name", "description" };

    private String[] fieldLables = { "Code", "Name", "Description" };

    private String[] searchableIntFields = { "roleID" };

    private String[] searchableFields = { "code", "name", "description" };

    private String[] displayFields = { "code", "name" };

    private String sortByString = "code";

    private String sortAscOrDesc = "ASC";

    private String formAction = "/Role.do";

    private String addFormAction = "/RoleAddForm.do";

    private String editFormAction = "/RoleEditForm.do";

    private String editDeleteFormAction = "/RoleEditDelete.do";

    private String childEditAction = "/Administrator.do";

    private String administratorID = "";

    private String[] roleID = null;

    private String[] code = null;

    private String[] name = null;

    private String[] description = null;

    public String[] getCode() {
        return code;
    }

    public void setCode(String[] code) {
        this.code = code;
    }

    public String[] getDescription() {
        return description;
    }

    public void setDescription(String[] description) {
        this.description = description;
    }

    public String[] getName() {
        return name;
    }

    public void setName(String[] name) {
        this.name = name;
    }

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String getParentIDField() {
        return parentIDField;
    }

    public void setParentIDField(String parentIDField) {
        this.parentIDField = parentIDField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

    public String getSortByString() {
        return sortByString;
    }

    public void setSortByString(String sortByString) {
        this.sortByString = sortByString;
    }

    public String getSortAscOrDesc() {
        return sortAscOrDesc;
    }

    public void setSortAscOrDesc(String sortAscOrDesc) {
        this.sortAscOrDesc = sortAscOrDesc;
    }

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }

    public String getChildEditAction() {
        return childEditAction;
    }

    public void setChildEditAction(String childEditAction) {
        this.childEditAction = childEditAction;
    }

    public String getAdministratorID() {
        return administratorID;
    }

    public void setAdministratorID(String administratorID) {
        this.administratorID = administratorID;
    }

    public String[] getRoleID() {
        return roleID;
    }

    public void setRoleID(String[] roleID) {
        this.roleID = roleID;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String getEntityProperty() {
        return entityProperty;
    }

    public void setEntityProperty(String entityProperty) {
        this.entityProperty = entityProperty;
    }

    public boolean isM2mChild() {
        return m2mChild;
    }

    public void setM2mChild(boolean child) {
        m2mChild = child;
    }

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
        if (getRoleID() != null) {
            for (int i = 0; i < getRoleID().length; i++) {
                if (Arrays.asList(getDisplayFields()).contains("code")) {
                    if (getCode().length < i + 1 || getCode()[i] == null
                            || getCode()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required", "Code"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("name")) {
                    if (getName().length < i + 1 || getName()[i] == null
                            || getName()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required", "Name"));
                    }
                }
            }
        }
        return errors;
    }

    public void setProperties(HttpServletRequest request) {
        super.setProperties(request);
        if (getParentIDField() != null
                && getParentIDField().equals("administratorID")) {
            setParentKey("administratorImplementer");
            setManyToManyKey("administratorRoleImplementer");
            setManyToManyProp("administratorRoles");
            setManyToManyClass("com.softslate.commerce.businessobjects.administrator.AdministratorRole");
            setParentProperty("administrator");
        }
    }
}
