package com.softslate.commerce.administrator.core;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.daos.core.DAOFactory;

/**
 * @author David Tobey
 * 
 */
public class SettingsActionAddress extends BaseAction {

	static Log log = LogFactory.getLog(SettingsActionAddress.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		SettingsFormAddress baseForm = (SettingsFormAddress) form;
		String billingRequiredString = "";
		for (int i = 0; i < baseForm.getBillingRequired().length; i++) {
			if (i != 0) {
				billingRequiredString = billingRequiredString + ","
						+ baseForm.getBillingRequired()[i];
			} else {
				billingRequiredString = baseForm.getBillingRequired()[i];
			}
		}
		String billingPromptedString = "";
		for (int i = 0; i < baseForm.getBillingPrompt().length; i++) {
			if (i != 0) {
				billingPromptedString = billingPromptedString + ","
						+ baseForm.getBillingPrompt()[i];
			} else {
				billingPromptedString = baseForm.getBillingPrompt()[i];
			}
		}
		String billingValidatedString = "";
		for (int i = 0; i < baseForm.getBillingValidated().length; i++) {
			if (i != 0) {
				billingValidatedString = billingValidatedString + ","
						+ baseForm.getBillingValidated()[i];
			} else {
				billingValidatedString = baseForm.getBillingValidated()[i];
			}
		}
		String deliveryRequiredString = "";
		for (int i = 0; i < baseForm.getDeliveryRequired().length; i++) {
			if (i != 0) {
				deliveryRequiredString = deliveryRequiredString + ","
						+ baseForm.getDeliveryRequired()[i];
			} else {
				deliveryRequiredString = baseForm.getDeliveryRequired()[i];
			}
		}
		String deliveryPromptedString = "";
		for (int i = 0; i < baseForm.getDeliveryPrompt().length; i++) {
			if (i != 0) {
				deliveryPromptedString = deliveryPromptedString + ","
						+ baseForm.getDeliveryPrompt()[i];
			} else {
				deliveryPromptedString = baseForm.getDeliveryPrompt()[i];
			}
		}
		String deliveryValidatedString = "";
		for (int i = 0; i < baseForm.getDeliveryValidated().length; i++) {
			if (i != 0) {
				deliveryValidatedString = deliveryValidatedString + ","
						+ baseForm.getDeliveryValidated()[i];
			} else {
				deliveryValidatedString = baseForm.getDeliveryValidated()[i];
			}
		}
		Map properties = new HashMap();
		properties.put("billingRequired", billingRequiredString);
		properties.put("billingPrompt", billingPromptedString);
		properties.put("billingValidated", billingValidatedString);
		properties.put("deliveryRequired", deliveryRequiredString);
		properties.put("deliveryPrompt", deliveryPromptedString);
		properties.put("deliveryValidated", deliveryValidatedString);
		try {
			Settings settingsBean = (Settings) baseForm
					.getBusinessObjectFactory().createObject(
							"settingsImplementer");
			Settings settings = settingsBean.processSettings(properties);
			// Place the new Settings in the application scope.
			DAOFactory daoFactory = (DAOFactory) getServlet()
					.getServletContext().getAttribute("daoFactory");
			settings.initialize();
			synchronized (getServlet().getServletContext()) {
				servlet.getServletContext().setAttribute("settingsBean",
						settings);
				servlet.getServletContext().setAttribute("settings", settings);
				daoFactory.setSettings(settings);
			}
			baseForm.getBusinessObjectFactory().setSettings(settings);
			request.setAttribute("settings", settings);
		} catch (Exception e) {
			baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.settingsError", e.toString()));
			saveErrors(request, (ActionMessages) baseForm.getErrors());
			return mapping.findForward("failure");
		}
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.settingsMessage"));
		if (!baseForm.getMessages().isEmpty())
			saveMessages(request, baseForm.getMessages());
		if (log.isDebugEnabled())
			log.debug("Finished with Action.");
		return mapping.findForward("success");
	}
}
