package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.product.ProductInitializer;

/**
 * Reloads the builtin categories if the builtin category settings have changed.
 * 
 * @author David Tobey
 * 
 */
public class SettingsActionHeaderSidePanel extends SettingsAction {

	static Log log = LogFactory.getLog(SettingsActionHeaderSidePanel.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		SettingsForm baseForm = (SettingsForm) form;

		boolean builtinCategoriesChanging = !baseForm.getSettings().getValue(
				"builtInCategories").equals(
				request.getParameter("builtInCategories"))
				|| !baseForm.getSettings().getValue(
						"builtInCategoryProductCount").equals(
						request.getParameter("builtInCategoryProductCount"));

		boolean headerCategoriesAndPagesChanging = !baseForm.getSettings()
				.getValue("headerCategoriesAndPages").equals(
						request.getParameter("headerCategoriesAndPages"));

		boolean footerCategoriesAndPagesChanging = !baseForm.getSettings()
				.getValue("footerCategoriesAndPages").equals(
						request.getParameter("footerCategoriesAndPages"));

		ActionForward af = super.execute(mapping, form, request, response);

		if (af.getName().equals("success")
				&& (builtinCategoriesChanging
						|| headerCategoriesAndPagesChanging || footerCategoriesAndPagesChanging)) {

			// Reload builtin categories in the application scope.
			ProductInitializer pi = new ProductInitializer();
			pi.setServlet(servlet);
			pi.initializeBuiltInCategories(baseForm.getBusinessObjectFactory());
		}

		if (log.isDebugEnabled())
			log.debug("Finishing action.");

		return af;
	}
}
