package com.softslate.commerce.administrator.core;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.businessobjects.email.Template;
import com.softslate.commerce.businessobjects.email.TemplateProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author jmcwill
 * 
 */
public class SettingsJobFormAction extends BaseAction {

	static Log log = LogFactory.getLog(SettingsJobFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseForm baseForm = new BaseForm();
		baseForm.initializeProperties(mapping, request);

		// Load settings
		try {
			Settings settingsBean =  baseForm.getBusinessObjectFactory().createObject(Settings.class);
			request.setAttribute("administratorSettings", settingsBean.loadSettings());
		} catch (Exception e) {
			baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.settingsLoadError", e.toString()));
			saveErrors(request, (ActionMessages) baseForm.getErrors());
			return mapping.findForward("error");
		}

		TemplateProcessor processor = (TemplateProcessor) baseForm.getBusinessObjectFactory().createObject(
				"templateProcessorImplementer");
		Collection<Template> templates = processor.loadAllTemplates();
		request.setAttribute("templates", templates);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Settings" });
		request.setAttribute("breadcrumbs", bcs);

		if (log.isDebugEnabled())
			log.debug("Finished with Action.");
		return mapping.findForward("success");
	}
}
