package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/OrderItemAttributeAddForm.do",
 * "/administrator/OrderItemAttributeEditForm.do",
 * "/administrator/OrderItemAttributeAdd.do", and
 * "/administrator/OrderItemAttributeEdit.do". Provides properties corresponding
 * to the fields for a single order item attribute record.
 * 
 * @author David Tobey
 * 
 */
public class OrderItemAttributeAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3257003250497499187L;

	static Log log = LogFactory.getLog(OrderItemAttributeAddEditForm.class);

	private String parentName = null;

	private String grandparentName = null;

	private String greatGrandparentName = null;

	private String orderItemAttributeID = null;

	private String orderItemID = null;

	private String orderDeliveryID = null;

	private String orderID = null;

	private String total = "0.00";

	private String weight = "0.00";

	private String attributeValue = null;

	private String attributeID = "0";

	private String attributeCode = null;

	private String attributeName = null;

	private String attributeUnitCost = "0.00";

	private String attributeUnitPrice = "0.00";

	private String attributeAltPrice = "0.00";

	private String attributeWeight = "0.00";

	private String optionID = "0";

	private String optionCode = null;

	private String optionName = null;

	private String optionUnitCost = "0.00";

	private String optionUnitPrice = "0.00";

	private String optionAltPrice = "0.00";

	private String optionWeight = "0.00";

	public String getAttributeAltPrice() {
		return attributeAltPrice;
	}

	public void setAttributeAltPrice(String attributeAltPrice) {
		this.attributeAltPrice = attributeAltPrice;
	}

	public String getAttributeCode() {
		return attributeCode;
	}

	public void setAttributeCode(String attributeCode) {
		this.attributeCode = attributeCode;
	}

	public String getAttributeID() {
		return attributeID;
	}

	public void setAttributeID(String attributeID) {
		this.attributeID = attributeID;
	}

	public String getAttributeName() {
		return attributeName;
	}

	public void setAttributeName(String attributeName) {
		this.attributeName = attributeName;
	}

	public String getAttributeUnitCost() {
		return attributeUnitCost;
	}

	public void setAttributeUnitCost(String attributeUnitCost) {
		this.attributeUnitCost = attributeUnitCost;
	}

	public String getAttributeUnitPrice() {
		return attributeUnitPrice;
	}

	public void setAttributeUnitPrice(String attributeUnitPrice) {
		this.attributeUnitPrice = attributeUnitPrice;
	}

	public String getAttributeValue() {
		return attributeValue;
	}

	public void setAttributeValue(String attributeValue) {
		this.attributeValue = attributeValue;
	}

	public String getAttributeWeight() {
		return attributeWeight;
	}

	public void setAttributeWeight(String attributeWeight) {
		this.attributeWeight = attributeWeight;
	}

	public String getGrandparentName() {
		return grandparentName;
	}

	public void setGrandparentName(String grandparentName) {
		this.grandparentName = grandparentName;
	}

	public String getGreatGrandparentName() {
		return greatGrandparentName;
	}

	public void setGreatGrandparentName(String greatGrandparentName) {
		this.greatGrandparentName = greatGrandparentName;
	}

	public String getOptionAltPrice() {
		return optionAltPrice;
	}

	public void setOptionAltPrice(String optionAltPrice) {
		this.optionAltPrice = optionAltPrice;
	}

	public String getOptionCode() {
		return optionCode;
	}

	public void setOptionCode(String optionCode) {
		this.optionCode = optionCode;
	}

	public String getOptionID() {
		return optionID;
	}

	public void setOptionID(String optionID) {
		this.optionID = optionID;
	}

	public String getOptionName() {
		return optionName;
	}

	public void setOptionName(String optionName) {
		this.optionName = optionName;
	}

	public String getOptionUnitCost() {
		return optionUnitCost;
	}

	public void setOptionUnitCost(String optionUnitCost) {
		this.optionUnitCost = optionUnitCost;
	}

	public String getOptionUnitPrice() {
		return optionUnitPrice;
	}

	public void setOptionUnitPrice(String optionUnitPrice) {
		this.optionUnitPrice = optionUnitPrice;
	}

	public String getOptionWeight() {
		return optionWeight;
	}

	public void setOptionWeight(String optionWeight) {
		this.optionWeight = optionWeight;
	}

	public String getOrderID() {
		return orderID;
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public String getTotal() {
		return total;
	}

	public void setTotal(String total) {
		this.total = total;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getOrderItemAttributeID() {
		return orderItemAttributeID;
	}

	public void setOrderItemAttributeID(String orderItemAttributeID) {
		this.orderItemAttributeID = orderItemAttributeID;
	}

	public String getOrderDeliveryID() {
		return orderDeliveryID;
	}

	public void setOrderDeliveryID(String orderDeliveryID) {
		this.orderDeliveryID = orderDeliveryID;
	}

	public String getOrderItemID() {
		return orderItemID;
	}

	public void setOrderItemID(String orderItemID) {
		this.orderItemID = orderItemID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getAttributeValue() == null || getAttributeValue().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Attribute Value"));
		}
		if (getAttributeCode() == null || getAttributeCode().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Attribute Code"));
		}
		if (getAttributeName() == null || getAttributeName().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Attribute Name"));
		}
		return getErrors();
	}
}
