package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

public class SettingsFormGoogleCheckout extends BaseDynaForm {

	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(SettingsFormGoogleCheckout.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");

		initializeProperties(mapping, request);

		if (request.getParameter("googleCheckoutMerchantId") == null
				|| request.getParameter("googleCheckoutMerchantId").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Merchant ID"));
		}
		if (request.getParameter("googleCheckoutMerchantKey") == null
				|| request.getParameter("googleCheckoutMerchantKey").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Merchant Key"));
		}
		if (request.getParameter("googleCheckoutEnvironment") == null
				|| request.getParameter("googleCheckoutEnvironment").length() == 0) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required",
							"Sandbox or Production"));
		}
		if (request.getParameter("googleCheckoutSandboxRootURL") == null
				|| request.getParameter("googleCheckoutSandboxRootURL")
						.length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Sandbox URL"));
		}
		if (request.getParameter("googleCheckoutProductionRootURL") == null
				|| request.getParameter("googleCheckoutProductionRootURL")
						.length() == 0) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required",
							"Production (Live) URL"));
		}
		return getErrors();
	}

}
