package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormPayflowPro extends BaseDynaForm {

	private static final long serialVersionUID = 3618702985077535282L;

	static Log log = LogFactory.getLog(SettingsFormPayflowPro.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("payflowProHostAddress") == null
				|| request.getParameter("payflowProHostAddress").length() == 0) {
			String message = getMessage("payment", "payflowPro.hostAddress",
					null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowProHostPort") == null
				|| request.getParameter("payflowProHostPort").length() == 0) {
			String message = getMessage("payment", "payflowPro.hostPort", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowProUser") == null
				|| request.getParameter("payflowProUser").length() == 0) {
			String message = getMessage("payment", "payflowPro.user", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowProPassword") == null
				|| request.getParameter("payflowProPassword").length() == 0) {
			String message = getMessage("payment", "payflowPro.password", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowProPartner") == null
				|| request.getParameter("payflowProPartner").length() == 0) {
			String message = getMessage("payment", "payflowPro.partner", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowProVendor") == null
				|| request.getParameter("payflowProVendor").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Vendor"));
		}
		return getErrors();
	}

}
