package com.softslate.commerce.administrator.product;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * <code>/administrator/ManufacturerAddForm.do</code>. Creates an empty
 * <code>ManufacturerAddEditForm</code> object.
 * 
 * @author David Tobey
 * 
 */
public class ManufacturerAddFormAction extends BaseAction {

	static Log log = LogFactory.getLog(ManufacturerAddFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		ManufacturerAddEditForm baseForm = (ManufacturerAddEditForm) form;

		if (request.getAttribute("reset") != null
				&& request.getAttribute("reset").equals("true")) {
			Class classDefinition = baseForm.getClass();
			baseForm = (ManufacturerAddEditForm) classDefinition.newInstance();
		}

		baseForm.initializeProperties(mapping, request);
		request.setAttribute("manufacturerAddEditForm", baseForm);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Manufacturers",
				"Add Manufacturer" });
		request.setAttribute("breadcrumbs", bcs);
		
		return mapping.findForward("success");
	}
}
