package com.softslate.commerce.administrator.product;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.product.ProductProcessor;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/ProductDelete.do". Processes a request to delete records in
 * the system.
 * 
 * @author David Tobey
 */
public class ProductDeleteAction extends ProductEditAction {

    static Log log = LogFactory.getLog(ProductDeleteAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");
		ProductAddEditForm baseForm = (ProductAddEditForm) form;
		baseForm.initializeProperties(mapping, request);

        // Prepare parameters for the edit/delete processing, and process
        BusinessObjectFactory bof = (BusinessObjectFactory) request
                .getAttribute("businessObjectFactory");
        ProductProcessor processor =  bof
                .createObject(ProductProcessor.class);
        Map parameters = PropertyUtils.describe(form);
        processor.deleteProduct(parameters);

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.recordDeleted"));

		// Optionally update the Lucene index
		updateAdvancedSearchIndex(baseForm, Integer.parseInt(baseForm.getProductID()));

		saveErrors(baseForm.getRequest(), baseForm.getErrors());
		saveMessages(request, baseForm.getMessages());
        return mapping.findForward("success");
    }
}
