package com.softslate.commerce.administrator.tax;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.tax.TaxRateProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/BasicTaxEditDelete.do". Processes a request to delete and
 * edit multiple records in the system. These requests are generated when the
 * adminstrator is deleting or editing multiple records simultaneously while in
 * edit mode.
 * 
 * @author David Tobey
 * @version $Id: BasicTaxEditDeleteAction.java,v 1.3 2005/02/08 23:52:06 dtobey
 *          Exp $
 */
public class BasicTaxEditDeleteAction extends BaseAction {

    static Log log = LogFactory.getLog(BasicTaxEditDeleteAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");
        BasicTaxForm baseForm = (BasicTaxForm) form;

        // Prepare parameters for the edit/delete processing, and process
        BusinessObjectFactory bof = (BusinessObjectFactory) request
                .getAttribute("businessObjectFactory");
        TaxRateProcessor processor =  bof
                .createObject(TaxRateProcessor.class);
        Map parameters = PropertyUtils.describe(form);
        for (int j = 0; j < baseForm.getDisplayFields().length; j++) {
            String displayField = baseForm.getDisplayFields()[j];
            parameters.put(displayField, PropertyUtils.getProperty(baseForm,
                    displayField));
        }
        parameters.put(baseForm.getIdField(), PropertyUtils.getProperty(
                baseForm, baseForm.getIdField()));
        parameters.put("deleteID", baseForm.getDeleteID());
        processor.editDeleteTaxRates(parameters);

        // Set the success message
        ActionMessages messages = new ActionMessages();
        messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
                "messages.recordsSaved"));
        saveMessages(request, messages);

        return mapping.findForward("success");
    }
}
