package com.softslate.commerce.administrator.tax;

import java.util.Properties;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.administrator.core.SettingsAction;
import com.softslate.commerce.customer.core.AppUtils;
import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsActionTax extends SettingsAction {

	static Log log = LogFactory.getLog(SettingsActionTax.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseDynaForm baseForm = (BaseDynaForm) form;
		String activeTaxProcessors = (String) request
				.getParameter("activeTaxProcessors");
		if (activeTaxProcessors == null) {
			activeTaxProcessors = "";
		}
		synchronized (getServlet().getServletContext()) {
			Properties appComponents = (Properties) getServlet()
					.getServletContext().getAttribute("appComponents");
			Properties customComponents = AppUtils.loadProperties(
					"/appComponents-custom.properties", (Properties) null);
			if (!appComponents.getProperty("activeTaxProcessors").equals(
					activeTaxProcessors)) {
				Properties appSettings = (Properties) getServlet().getServletContext().getAttribute("appSettings");
				if (appSettings == null || appSettings.getProperty("disableComponentUpdatesFromAdministrator") == null
						|| appSettings.getProperty("disableComponentUpdatesFromAdministrator").equals("0")) {
					if (log.isDebugEnabled())
						log.debug("Changing component activeTaxProcessors to: "
								+ activeTaxProcessors);
					appComponents.setProperty("activeTaxProcessors",
							activeTaxProcessors);
					customComponents.setProperty("activeTaxProcessors",
							activeTaxProcessors);
					saveComponents(customComponents);
					getServlet().getServletContext().setAttribute("appComponents",
							appComponents);
				}
			}
		}
		return super.execute(mapping, baseForm, request, response);
	}
}
