package com.softslate.commerce.businessobjects.product;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessProcessor;

/**
 * Interface for classes that creates the Lucene index for Suggestions (auto-completion).
 * 
 * When the application needs to create an instance that implements <code>LuceneSuggestionsIndexer</code>,
 * {@link com.softslate.commerce.businessobjects.core.BusinessObjectFactory} finds the name of the Java class to
 * instantiate from the "luceneSuggestionsIndexerImplementer" setting in the <code>appComponents.properties</code> file.
 * <p>
 * The default "luceneSuggestionsIndexerImplementer" is
 * {@link com.softslate.commerce.businessobjects.product.BasicLuceneSuggestionsIndexer}.
 * 
 * @author David Tobey
 * 
 */
public interface LuceneSuggestionsIndexer extends BusinessProcessor {

	abstract Map reindex(Map parameters) throws Exception;
}
