package com.softslate.commerce.daos.order;

import java.util.Collection;
import java.util.LinkedHashSet;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Generic DAO that runs miscellaneous queries related to order shipping rules.
 * 
 * @author Jason McWilliams
 * 
 */
public class OrderShippingRuleGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements
		OrderShippingRuleGatewayDAO {

	static Log log = LogFactory.getLog(OrderShippingRuleGatewayDAOHibernate.class);

	public Map loadOrderShippingRulesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteOrderShippingRules(Map parameters, BusinessObjectFactory bof) throws Exception {
		return editDeleteItems(parameters, bof);
	}

	public Collection loadOrderShippingRulesByPackageType(int orderID) throws Exception {
		if (log.isInfoEnabled())
			log.info("Loading order packages.");
		Collection packages = null;
		Session session = getDaoFactory().startSession();
		try {
			Query q = getNamedQuery(session, "orderShippingRule.loadOrderShippingRulesByPackageType");
			q.setInteger("orderID", 1);
			if (log.isInfoEnabled())
				log.info("About to query for rules: " + q.toString());
			packages = new LinkedHashSet(q.list());
		} catch (HibernateException he) {
			if (log.isErrorEnabled())
				log.error("Hibernate error: " + he.toString());
			throw new DataAccessException(he);
		}
		return packages;
	}
}
