package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO that runs miscellaneous queries related to options.
 * 
 * @author David Tobey
 * 
 */
public interface OptionGatewayDAO extends DAOInterface {
	abstract Map loadOptionsAndCount(Map parameters) throws Exception;

	abstract Map editDeleteOptions(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	abstract Collection loadAllOptions() throws DataAccessException;

	abstract int loadMaxOptionID() throws Exception;

	abstract Collection loadAllOptionsInRange(int firstID, int lastID)
			throws Exception;
}
