package com.softslate.commerce.daos.tax;

import com.softslate.commerce.businessobjects.tax.BasicTaxRate;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscBasicTaxRate</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface BasicTaxRateDAO extends DAOInterface {
	abstract BasicTaxRate getBasicTaxRate();

	abstract void setBasicTaxRate(BasicTaxRate basicTaxRate);

	abstract void loadBasicTaxRateFromID() throws Exception;

	abstract void insertBasicTaxRate() throws Exception;

	abstract void insertBasicTaxRate(boolean commit) throws Exception;

	abstract void updateBasicTaxRate() throws Exception;

	abstract void updateBasicTaxRate(boolean commit) throws Exception;

	abstract void deleteBasicTaxRate() throws Exception;

	abstract void deleteBasicTaxRate(boolean commit) throws Exception;
}
