package com.softslate.commerce.installer;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.installer.InstallerProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.daos.core.DAOFactory;


/**
 * 
 * 
 * @author David Tobey
 * 
 */
public class DBInitializeAction extends BaseAction {

	static Log log = LogFactory.getLog(DBInitializeAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		ActionErrors errors = new ActionErrors();
		ActionMessages messages = new ActionMessages();

		Map properties = PropertyUtils.describe(form);
		String pathToResources = getServlet().getServletContext().getRealPath(
				"/WEB-INF/classes/resources/");
		properties.put("pathToResources", pathToResources);
		if (log.isDebugEnabled())
			log.debug("Real path to resources: " + pathToResources);

		try {
			synchronized (getServlet().getServletContext()) {
				DAOFactory daoFactory = (DAOFactory) getServlet()
						.getServletContext().getAttribute("daoFactory");
				InstallerProcessor installerProcessor = new InstallerProcessor();
				installerProcessor.setDaoFactory(daoFactory);
				installerProcessor.processInitialization(properties);
			}
		} catch (Exception e) {
			log.error(e.toString(), e);
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"installer.initializeError", e.toString()));
			if (!errors.isEmpty())
				addErrors(request, errors);
			return mapping.findForward("error");
		}
		messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
				"installer.initializeMessage"));
		if (!messages.isEmpty())
			addMessages(request, messages);
		
		if (log.isDebugEnabled())
			log.debug("Finished with Action.");
		return mapping.findForward("success");
	}

}
