package com.softslate.commerce.installer;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.installer.InstallerProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.daos.core.DAOFactory;

/**
 * @author David Tobey
 * @version $Id
 */
public class SecuritySettingsAction extends BaseAction {

    static Log log = LogFactory.getLog(SecuritySettingsAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");
        Map properties = PropertyUtils.describe(form);

        ActionMessages messages = new ActionMessages();

        InstallerProcessor installerProcessor = new InstallerProcessor();
        installerProcessor.setDaoFactory((DAOFactory) getServlet()
                .getServletContext().getAttribute("daoFactory"));
        if (log.isDebugEnabled())
            log.debug("daoFactory: " + installerProcessor.getDaoFactory());
        installerProcessor.processSecuritySettings(properties);
        messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
                "installer.securitySettingsMessage"));
        if (!messages.isEmpty())
            addMessages(request, messages);
        if (log.isDebugEnabled())
            log.debug("Finished with Action.");
        return mapping.findForward("success");
    }

}
