create table sscCustomer (
	customerID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerBean', 
	userName varchar2(100) not null unique, 
	password varchar2(255), 
	created varchar2(100), 
	lastLogin varchar2(100), 
	autoLoginToken varchar2(255), 
	status varchar2(100), 
	firstName varchar2(100), 
	lastName varchar2(100), 
	organization varchar2(100), 
	address1 varchar2(255), 
	address2 varchar2(255), 
	city varchar2(100), 
	state varchar2(100), 
	postalCode varchar2(100), 
	country varchar2(100), 
	phone1 varchar2(100), 
	phone2 varchar2(100), 
	email1 varchar2(100), 
	email2 varchar2(100),
	cimProfileID varchar2(100),
	canUsePO number(1,0) default 0,
	passwordToken varchar2(100),
	passwordTokenDate varchar2(100),
  passwordExpires varchar2(255),
  numberOfFailedLogins number(10,0),
  lockedOutUntil varchar2(255),
  previousPasswords clob,
	extra1 varchar2(255), 
	extra2 varchar2(255), 
	extra3 varchar2(255), 
	extra4 varchar2(255), 
	extra5 varchar2(255), 
	notes clob, 
	primary key (customerID)
);

CREATE INDEX IDX_sscCustomer_firstName ON sscCustomer (firstName);
CREATE INDEX IDX_sscCustomer_lastName ON sscCustomer (lastName);
CREATE INDEX IDX_sscCustomer_address1 ON sscCustomer (address1);
CREATE INDEX IDX_sscCustomer_postalCode ON sscCustomer (postalCode);
CREATE INDEX IDX_sscCustomer_phone1 ON sscCustomer (phone1);
CREATE INDEX IDX_sscCustomer_email1 ON sscCustomer (email1);
CREATE INDEX IDX_sscC_autoLogin ON sscCustomer (autoLoginToken);
alter table sscProductReview add constraint FKPRC foreign key (customerID) references sscCustomer ON DELETE SET NULL;

create table sscCustomerAddress (
	customerAddressID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerAddressBean', 
	customerID number(10,0), 
	status varchar2(100), 
	firstName varchar2(100), 
	lastName varchar2(100), 
	organization varchar2(100), 
	address1 varchar2(255), 
	address2 varchar2(255), 
	city varchar2(100), 
	state varchar2(100), 
	postalCode varchar2(100), 
	country varchar2(100), 
	phone1 varchar2(100), 
	phone2 varchar2(100), 
	email1 varchar2(100), 
	email2 varchar2(100),
	isDefault number(1,0) default 0, 
	paymentToken varchar2(255),
	creditCardName varchar2(255),
	creditCardType varchar2(255),
	creditCardDate varchar2(255),
	creditCardNumberDisplay varchar2(255),
	identifier varchar2(255),
	isBilling number(1,0) default 0,
	extra1 varchar2(255), 
	extra2 varchar2(255), 
	extra3 varchar2(255), 
	extra4 varchar2(255), 
	extra5 varchar2(255), 
	notes clob, 
	primary key (customerAddressID)
);

CREATE INDEX IDX_sscCustomerAddress_first ON sscCustomerAddress (firstName);
CREATE INDEX IDX_sscCustomerAddress_last ON sscCustomerAddress (lastName);
CREATE INDEX IDX_sscCustomerAddress_add1 ON sscCustomerAddress (address1);
CREATE INDEX IDX_sscCustomerAddress_postal ON sscCustomerAddress (postalCode);
CREATE INDEX IDX_sscCustomerAddress_phone1 ON sscCustomerAddress (phone1);
CREATE INDEX IDX_sscCustomerAddress_email1 ON sscCustomerAddress (email1);

alter table sscCustomerAddress add constraint FKD2A976162BA67B06 foreign key (customerID) references sscCustomer;

CREATE TABLE sscCustomerWishList (
  customerWishListID number(10,0) not null,
  customerID number(10,0),
  name varchar2(255),
  description varchar2(255),
  created varchar2(100),
  lastUpdated varchar2(100),
  class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListBean', 
  primary key (customerWishListID)
);

alter table sscCustomerWishList add constraint FKCWLC foreign key (customerID) references sscCustomer;

CREATE TABLE sscCustomerWishListProduct (
  customerWishListProductID number(10,0) not null,
  customerWishListID number(10,0),
  productID number(10,0),
  class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListProductBean',
  primary key (customerWishListProductID)
);

alter table sscCustomerWishListProduct add constraint FKCWLPCWL foreign key (customerWishListID) references sscCustomerWishList;
alter table sscCustomerWishListProduct add constraint FKCWLPP foreign key (productID) references sscProduct;
