<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="encryptionType" value="${settings.map.administratorEncryptionType}"/>

<!-- Start administratorFormGuts.jsp -->
<tr>
	<td class="property setting"><label for="userName">User Name:</label></td>
	<td class="value">
		<html:text name="administratorAddEditForm" property="userName" styleId="userName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<c:choose>
	<c:when test="${editing eq 'true'}">
		<tr class="altRow">
			<td class="property setting">Is Api User?:</td>
			<td class="value"><c:out value="${administratorAddEditForm.isApiUser}"/><html:hidden name="administratorAddEditForm" property="isApiUser"/></td>
		</tr>
	</c:when>
	<c:otherwise>
		<tr class="altRow">
			<td class="property setting">Is Api User?:</td>
			<td class="value">
				<html:radio name="administratorAddEditForm" property="isApiUser" styleId="isApiUseryes" value="true"/> <label for="isApiUseryes">yes</label>
				&nbsp;&nbsp;
				<html:radio name="administratorAddEditForm" property="isApiUser" styleId="isApiUserno" value="false"/> <label for="isApiUserno">no</label>
			</td>
		</tr>
	</c:otherwise>
</c:choose>
<tr>
	<td class="property setting"><label for="decryptedPassword">Password:</label></td>
	<td class="value">
		<c:choose>
			<c:when test="${requestScope.editing eq 'true'}">
				<logic:notEqual name="encryptionType" value="oneWay">
					<logic:notEqual name="encryptionType" value="keyPairNoStore">
						<html:text name="administratorAddEditForm" property="decryptedPassword" styleId="decryptedPassword" maxlength="255" styleClass="textbox"/>
					</logic:notEqual>
				</logic:notEqual>
				<c:if test="${encryptionType eq 'oneWay'}">
					<input type="text" name="decryptedPassword" id="decryptedPassword" value="" maxlength="255" class="textbox"/>
					<br/>
					[This password is encrypted with one-way encryption; enter in a new password, or leave blank to keep the current password]
				</c:if>
				<c:if test="${encryptionType eq 'keyPairNoStore'}">
					<html:hidden name="administratorAddEditForm" property="decryptedPassword" styleId="decryptedPassword" value="[keyPairNoStoreEncryption]"/> 
					[Encrypted with Key Pair - Private Key Not Available]
				</c:if>
			</c:when>
			<c:otherwise>
				<html:password name="administratorAddEditForm" property="decryptedPassword" styleId="decryptedPassword" maxlength="255" styleClass="textbox"/>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<c:if test="${editing eq 'true'}">
	<tr class="altRow">
		<td class="genericLabel">Last Login:</td>
		<td class="genericData">
			<c:if test="${empty administratorAddEditForm.lastLogin}">
				[No Logins]
			</c:if>
			<c:if test="${!empty administratorAddEditForm.lastLogin}">
				<c:out value="${administratorAddEditForm.lastLogin}"/>
			</c:if>
			<html:hidden name="administratorAddEditForm" property="lastLogin"/>
		</td>
	</tr>
 	<tr>
		<td class="property setting">Number Of Failed Logins:</td>
		<td class="value"><c:out value="${administratorAddEditForm.numberOfFailedLogins}"/><html:hidden name="administratorAddEditForm" property="numberOfFailedLogins"/>
		<div class="fieldDescription">The number of times this Administrator has failed to login since the last successful login.</div>
		</td>
	</tr>
	<tr class="altRow">
		<td class="property setting">Password Expires:</td>
		<td class="value"><html:text styleClass="textbox" name="administratorAddEditForm" property="passwordExpires"/>
		<div class="fieldDescription">The date and time this Administrator's password will expire, at which point he will be required to change it before
		being able to log in. See the "Password Expiration in Days" setting on the <a href="SettingsAdministrator.do">Administrator Settings screen</a>.</div>
		</td>
	</tr>
	<tr>
		<td class="property setting">Locked Out Until:</td>
		<td class="value"><html:text styleClass="textbox" name="administratorAddEditForm" property="lockedOutUntil"/>
		<div class="fieldDescription">If the Administrator has failed to login in too many times, this field set with the date and time they will be locked out
		until. To remove the lock for an Administrator, clear out this field. See the "Number of Failed Logins Before Locking Out" and "Lock Out Duration in Minutes" settings on the
		<a href="SettingsAdministrator.do">Administrator Settings screen</a>.</div>
		</td>
	</tr>
	<tr class="altRow">
		<td class="property setting">Previous Passwords:</td>
		<td class="value"><html:textarea styleClass="textbox" name="administratorAddEditForm" property="previousPasswords"/>
		<div class="fieldDescription">A comma-separated list of encrypted previous passwords. Updated whenever the Administrator changes his own password, (but
		not when it is changed via this screen). Used to enforce the "Number of Previous Passwords To Check" setting on the 
		<a href="SettingsAdministrator.do">Administrator Settings screen</a>.</div>
		</td>
	</tr>
	<tr>
		<td class="property setting">Allowed IP Addresses:</td>
		<td class="value"><html:textarea styleClass="textbox" name="administratorAddEditForm" property="allowedIPAddresses"/>
		<div class="fieldDescription">A comma-separated list of IP addresses from which this Administrator is allowed to log in. Leave this field blank to
		allow this Administrator to log in  from any IP address.</div>
		</td>
	</tr>
</c:if>
<tr <c:if test="${editing ne 'true'}">class="altRow"</c:if>>
	<td class="property setting">Active:</td>
	<td class="value">
		<html:radio name="administratorAddEditForm" property="isActive" styleId="isActiveyes" value="true"/> <label for="isActiveyes">yes</label>
		&nbsp;&nbsp;
		<html:radio name="administratorAddEditForm" property="isActive" styleId="isActiveno" value="false"/> <label for="isActiveno">no</label>
	</td>
</tr>
<!-- End administratorFormGuts.jsp -->
