<%@ page contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%><%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<%-- Produce JSON for the output of API requests.  API requests start in APIFilter, which flags the request as an API request if it starts with /api and forwards the request to the Struts action corresponding to the path. BaseRequestProcessor then overrides the action's forward to send all API requests to this file to produce the JSON output. --%>
<c:choose>

	<%-- OrderOverview and order management admins action - forward to the customer-side order.jsp template. --%>
	<c:when test="${!empty requestScope.apiAdministratorAction and 
		(
			requestScope.apiAdministratorAction eq 'orderOverview' or 
			requestScope.apiAdministratorAction eq 'addItem' or 
			requestScope.apiAdministratorAction eq 'addCoupon' or 
			requestScope.apiAdministratorAction eq 'editOrderAddresses' or 
			requestScope.apiAdministratorAction eq 'processPayment'
		)}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedOrder.jsp"/>
	</c:when>

	<%-- CRUD operations for entities - serialize the entity object defined in the request. --%>
	<c:when test="${!empty requestScope.entity}">
		<ssc:insert page="/WEB-INF/templates/administrator/default/json/entity.jsp"/>
	</c:when>

	<%-- List actions - forward to list.jsp. --%>
	<c:when test="${!empty requestScope.apiAdministratorAction and requestScope.apiAdministratorAction eq 'list'}">
		<ssc:insert page="/WEB-INF/templates/administrator/default/json/list.jsp"/>
	</c:when>

	<%-- Checkout settings - separate template for this. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'CheckoutSettings'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedCheckoutSettings.jsp"/>
	</c:when>

	<%-- Checkout payment options - separate template for this. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'CheckoutPaymentForm'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedPaymentOptions.jsp"/>
	</c:when>

	<%-- Checkout shipping options - separate template for this. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'CheckoutShippingForm'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedShippingOptions.jsp"/>
	</c:when>

	<%-- AccountHistory - show a list of orders --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'AccountHistory'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedOrderList.jsp"/>
	</c:when>

	<%-- Cart/checkout requests - serialize the customer's cart. --%>
	<c:when test="${!empty requestScope.apiAction and (fn:startsWith(requestScope.apiAction, 'Cart') or fn:startsWith(requestScope.apiAction, 'Checkout') or requestScope.apiAction eq 'OrderDetails')}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedOrder.jsp"/>
	</c:when>

	<%-- Customer account settings - separate template for this. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'CustomerAccountSettings'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedCustomerAccountSettings.jsp"/>
	</c:when>

	<%-- Customer wish lists - serialize the wishListList object. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'AccountWishLists'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/customerWishLists.jsp"/>
	</c:when>

	<%-- Customer wish list - a single wish list. --%>
	<c:when test="${!empty requestScope.apiAction and (
		requestScope.apiAction eq 'WishListAddProduct'
		or requestScope.apiAction eq 'WishListDeleteProduct'
		)}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedWishList.jsp"/>
	</c:when>

	<%-- Customer account requests - serialize the customer object. --%>
	<c:when test="${!empty requestScope.apiAction and (requestScope.apiAction eq 'Register'
		or requestScope.apiAction eq 'Login'
		or requestScope.apiAction eq 'Logout'
		or fn:startsWith(requestScope.apiAction, 'Account')
		or requestScope.apiAction eq 'AddAddressBookAddressAjax'
		or requestScope.apiAction eq 'EditAddressBookAddressAjax'
		or requestScope.apiAction eq 'UpdatePassword')}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedCustomer.jsp"/>
	</c:when>

	<%-- Search actions - forward to search.jsp. --%>
	<c:when test="${!empty requestScope.apiAction and (requestScope.apiAction eq 'AdvancedSearch' or requestScope.apiAction eq 'Search' or requestScope.apiAction eq 'ProductList')}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/search.jsp"/>
	</c:when>

	<%-- Product request - forward to product.jsp. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'Product'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedProduct.jsp"/>
	</c:when>

	<%-- Category request - forward to category.jsp. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'Category'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedCategory.jsp"/>
	</c:when>

	<%-- Manufacturer request - forward to manufacturer.jsp. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'Manufacturer'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/wrappedManufacturer.jsp"/>
	</c:when>

	<%-- CSRF Token - forward to csrfToken.jsp. --%>
	<c:when test="${!empty requestScope.apiAction and requestScope.apiAction eq 'CSRFToken'}">
		<ssc:insert page="/WEB-INF/layouts/default-html5/json/csrfToken.jsp"/>
	</c:when>

	<%-- LostPassword or CompleteResetPassword - forward to justErrorsAndMessages.jsp. --%>
	<c:when test="${!empty requestScope.apiAction and (requestScope.apiAction eq 'LostPassword' or requestScope.apiAction eq 'CompleteResetPassword')}">
		<ssc:insert page="/WEB-INF/templates/administrator/default/json/justErrorsAndMessages.jsp"/>
	</c:when>
</c:choose>
