<%@ include
	file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp"%><%@ include
	file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp"%>
<%@ page
	import="com.softslate.commerce.businessobjects.product.ProductSetting"%>
<bean:define id="administratorURL" name="settings"
	property="value(administratorURL)" />

<div id="productSettingsScreen">

	<!-- Edit Form -->
	<div class="instructions">Use this form to upload files, such as
		instructions or manuals, that will be made available to everyone on
		the product page.</div>
	<br />

	<!-- Edit Form -->
	<html:form action="/ProductSettingsProcessAttachments" method="post">
		<html:hidden name="productSettingsFormAttachments"
			property="productID" />
		<table class="tabDetails customSettings">
			<c:set var="thisClass" scope="request" value="altRow" />
			<logic:iterate name="productSettings" id="settingRow" indexId="index">
				<logic:equal name="settingRow" property="type" value="ATTACHMENT">
					<bean:define id="settingExists" value="true" toScope="request" />
					<bean:define id="setting" name="settingRow" toScope="request" />
					<c:choose>
						<c:when test="${thisClass eq 'altRow'}">
							<c:set var="thisClass" scope="request" value="" />
						</c:when>
						<c:otherwise>
							<c:set var="thisClass" scope="request" value="altRow" />
						</c:otherwise>
					</c:choose>
					<tr>
						<input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
						<input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
						<td>Description for Customers: <html:text name="setting" property="value" /></td>
						<td>File Name: <bean:write name="setting" property="name" /></td>
						<td>Size: 
							<c:choose>
								<c:when test="${empty setting.integerValue}">
								</c:when>
								<c:when test="${setting.integerValue < 1000}">
									<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${setting.integerValue}"/>B
								</c:when>
								<c:when test="${setting.integerValue < 1000000}">
							 		<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${setting.integerValue/1000}"/>KB
								</c:when>
								<c:otherwise>
							 		<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="1" value="${setting.integerValue/1000/1000}"/>MB
								</c:otherwise>
							</c:choose>
						</td>
						<td>Path: <bean:write name="setting" property="textValue" /></td>
						<td>
							<a target="_blank" href="${setting.textValue}"> Download </a>
						</td>
						<td class="value">
							<a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDeleteAttachments.do?productID=<bean:write name="productSettingsFormAttachments" property="productID"/>&productSettingID=<bean:write name="setting" property="productSettingID"/>">Delete</a>
						</td>
					</tr>

				</logic:equal>
			</logic:iterate>
			<logic:notPresent name="settingExists">
				<tr>
					<td>No attachments defined.</td>
				</tr>
			</logic:notPresent>
		</table>
		<logic:equal name="editPermission" value="true">
			<logic:present name="settingExists">
				<br />
				<input type="submit" class="button" name="settingsSubmit"
					value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
			</logic:present>
		</logic:equal>
		<logic:present name="settingExists">
			<br />
			<br />
		</logic:present>
	</html:form>

	<!-- Add Form -->
	<h2 class="administratorHeader">
		Add a file attachment for <em><c:out value="${product.name}" /> (<c:out value="${product.code}" />)</em>
	</h2>
	<html:form action="/ProductSettingAddAttachment" method="post" enctype="multipart/form-data">
		<html:hidden name="productSettingsFormAttachments" property="productID" />
		<html:hidden name="productSettingsFormAttachments" property="type" value="ATTACHMENT" />
		<html:hidden name="productSettingsFormAttachments" property="valueType" value="mediumValue" />
		<table class="tabDetails settingAddForm">
			<tr>
				<td width="50%">Description for Customers: <input type="text" name="mediumValue" value="" /></td>
				<td width="50%"><br/><html:file property="fileUpload" name="productSettingAddEditFormAttachments"></html:file></td>
			</tr>
		</table>
		<br />
		<input type="submit" class="button" name="addProductSettingSubmit" value="Upload Attachment" />
	</html:form>
</div>
